Bug 1653048 - [abrt] cinnamon: _gtk_style_provider_private_get_settings(): python3.7 killed by SIGSEGV
Summary: [abrt] cinnamon: _gtk_style_provider_private_get_settings(): python3.7 killed...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: cinnamon
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alternative GTK desktop environments
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:aec1b7106f65541f06b5d3d8b3d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-25 06:00 UTC by alain.thiaville
Modified: 2019-11-27 20:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 20:13:22 UTC


Attachments (Terms of Use)
File: backtrace (34.13 KB, text/plain)
2018-11-25 06:00 UTC, alain.thiaville
no flags Details
File: cgroup (447 bytes, text/plain)
2018-11-25 06:00 UTC, alain.thiaville
no flags Details
File: core_backtrace (12.17 KB, text/plain)
2018-11-25 06:00 UTC, alain.thiaville
no flags Details
File: cpuinfo (1.67 KB, text/plain)
2018-11-25 06:00 UTC, alain.thiaville
no flags Details
File: dso_list (12.27 KB, text/plain)
2018-11-25 06:00 UTC, alain.thiaville
no flags Details
File: environ (645 bytes, text/plain)
2018-11-25 06:00 UTC, alain.thiaville
no flags Details
File: exploitable (112 bytes, text/plain)
2018-11-25 06:00 UTC, alain.thiaville
no flags Details
File: limits (1.29 KB, text/plain)
2018-11-25 06:00 UTC, alain.thiaville
no flags Details
File: maps (65.14 KB, text/plain)
2018-11-25 06:00 UTC, alain.thiaville
no flags Details
File: mountinfo (4.14 KB, text/plain)
2018-11-25 06:00 UTC, alain.thiaville
no flags Details
File: open_fds (277 bytes, text/plain)
2018-11-25 06:00 UTC, alain.thiaville
no flags Details
File: proc_pid_status (1.33 KB, text/plain)
2018-11-25 06:01 UTC, alain.thiaville
no flags Details

Description alain.thiaville 2018-11-25 06:00:38 UTC
Version-Release number of selected component:
cinnamon-4.0.2-1.fc29

Additional info:
reporter:       libreport-2.9.6
backtrace_rating: 4
cmdline:        /usr/bin/python3 /usr/share/cinnamon/cinnamon-settings/cinnamon-settings.py desklets
crash_function: _gtk_style_provider_private_get_settings
executable:     /usr/bin/python3.7
journald_cursor: s=c525b33f961542919b808f61ffc1f0ac;i=1d1e86;b=086baccc97134bcf9d70626d559118ef;m=21d05620d4;t=57b58f720c3c6;x=1f781da1a264c4d4
kernel:         4.19.2-300.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _gtk_style_provider_private_get_settings at gtkstyleproviderprivate.c:123
 #1 gtk_css_value_initial_compute at gtkcssinitialvalue.c:52
 #2 gtk_css_static_style_compute_value at gtkcssstaticstyle.c:237
 #3 _gtk_css_lookup_resolve at gtkcsslookup.c:122
 #4 gtk_css_static_style_new_compute at gtkcssstaticstyle.c:195
 #5 gtk_css_static_style_get_default at gtkcssstaticstyle.c:164
 #6 gtk_css_node_init at gtkcssnode.c:667
 #7 g_type_create_instance at gtype.c:1858
 #8 g_object_new_internal at gobject.c:1805
 #9 g_object_new_with_properties at gobject.c:1973

Potential duplicate: bug 1577435

Comment 1 alain.thiaville 2018-11-25 06:00:44 UTC
Created attachment 1508403 [details]
File: backtrace

Comment 2 alain.thiaville 2018-11-25 06:00:45 UTC
Created attachment 1508404 [details]
File: cgroup

Comment 3 alain.thiaville 2018-11-25 06:00:47 UTC
Created attachment 1508405 [details]
File: core_backtrace

Comment 4 alain.thiaville 2018-11-25 06:00:48 UTC
Created attachment 1508406 [details]
File: cpuinfo

Comment 5 alain.thiaville 2018-11-25 06:00:50 UTC
Created attachment 1508407 [details]
File: dso_list

Comment 6 alain.thiaville 2018-11-25 06:00:51 UTC
Created attachment 1508408 [details]
File: environ

Comment 7 alain.thiaville 2018-11-25 06:00:52 UTC
Created attachment 1508409 [details]
File: exploitable

Comment 8 alain.thiaville 2018-11-25 06:00:53 UTC
Created attachment 1508410 [details]
File: limits

Comment 9 alain.thiaville 2018-11-25 06:00:56 UTC
Created attachment 1508411 [details]
File: maps

Comment 10 alain.thiaville 2018-11-25 06:00:57 UTC
Created attachment 1508412 [details]
File: mountinfo

Comment 11 alain.thiaville 2018-11-25 06:00:58 UTC
Created attachment 1508413 [details]
File: open_fds

Comment 12 alain.thiaville 2018-11-25 06:01:00 UTC
Created attachment 1508414 [details]
File: proc_pid_status

Comment 13 leigh scott 2018-11-25 06:50:06 UTC
Your environ file is nearly empty, what DM are you using to start cinnamon?

Comment 14 alain.thiaville 2018-12-04 09:43:06 UTC
(In reply to leigh scott from comment #13)
> Your environ file is nearly empty, what DM are you using to start cinnamon?
 sddm-0.18.0-1.fc29.x86_64
also from attachment 1508408 [details] 

LANG=fr_FR.UTF-8
DISPLAY=:2
VNCDESKTOP=balix:2 (Alain)
so is seems this occured in vncsserver@:2.service
vncserver xstartup file:
cat ~/.vnc/xstartup.cin

#!/bin/sh
unset DBUS_SESSION_BUS_ADDRESS
exec /usr/bin/cinnamon-session-cinnamon2d

the problem is erratic.

Comment 15 Ben Cotton 2019-10-31 20:22:32 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Ben Cotton 2019-11-27 20:13:22 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.